core.crypto / DummyPublicKey

# DummyPublicKey

`class DummyPublicKey : PublicKey, Comparable<PublicKey>`

### Constructors

<init> | `DummyPublicKey(s: String)`

### Properties

s | `val s: String`

### Functions

compareTo | `fun compareTo(other: PublicKey): Int`
equals | `fun equals(other: Any?): Boolean`
getAlgorithm | `fun getAlgorithm(): String`
getEncoded | `fun getEncoded(): <ERROR CLASS>`
getFormat | `fun getFormat(): String`
hashCode | `fun hashCode(): Int`
toString | `fun toString(): String`

### Extension Functions

toStringShort | `fun PublicKey.toStringShort(): String` Render a public key to a string, using a short form if its an elliptic curve public key
verifyWithECDSA | `fun PublicKey.verifyWithECDSA(content: ByteArray, signature: DigitalSignature): Unit` Utility to simplify the act of verifying a signature